//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace Rikai.PRISM.WPF
{
    using System;
    using System.Collections.Generic;
    
    public partial class tblReportData02_bk
    {
        public string InfoID { get; set; }
        public string PupilCd { get; set; }
        public Nullable<byte> StdCourseCd { get; set; }
        public string StdCourseName { get; set; }
        public Nullable<byte> ClassSystem { get; set; }
        public string ClassSystemName { get; set; }
        public string Subject01Name { get; set; }
        public Nullable<int> Subject01Koma { get; set; }
        public string Subject02Name { get; set; }
        public Nullable<int> Subject02Koma { get; set; }
        public string Subject03Name { get; set; }
        public Nullable<int> Subject03Koma { get; set; }
        public string Subject04Name { get; set; }
        public Nullable<int> Subject04Koma { get; set; }
        public string Subject05Name { get; set; }
        public Nullable<int> Subject05Koma { get; set; }
        public string Subject06Name { get; set; }
        public Nullable<int> Subject06Koma { get; set; }
        public string Subject07Name { get; set; }
        public Nullable<int> Subject07Koma { get; set; }
        public string Subject08Name { get; set; }
        public Nullable<int> Subject08Koma { get; set; }
        public string Subject09Name { get; set; }
        public Nullable<int> Subject09Koma { get; set; }
        public string Subject10Name { get; set; }
        public Nullable<int> Subject10Koma { get; set; }
        public Nullable<int> ExKoma { get; set; }
        public Nullable<int> DrawKoma { get; set; }
        public Nullable<int> FreeKoma { get; set; }
        public Nullable<int> AdjustKoma { get; set; }
        public Nullable<int> Price { get; set; }
        public string ProductName01 { get; set; }
        public Nullable<int> ProductPrice01 { get; set; }
        public string ProductName02 { get; set; }
        public Nullable<int> ProductPrice02 { get; set; }
        public string ProductName03 { get; set; }
        public Nullable<int> ProductPrice03 { get; set; }
        public string ProductName04 { get; set; }
        public Nullable<int> ProductPrice04 { get; set; }
        public string ProductName05 { get; set; }
        public Nullable<int> ProductPrice05 { get; set; }
        public string ProductName06 { get; set; }
        public Nullable<int> ProductPrice06 { get; set; }
        public string ProductName07 { get; set; }
        public Nullable<int> ProductPrice07 { get; set; }
        public string ProductName08 { get; set; }
        public Nullable<int> ProductPrice08 { get; set; }
        public string ProductName09 { get; set; }
        public Nullable<int> ProductPrice09 { get; set; }
        public string ProductName10 { get; set; }
        public Nullable<int> ProductPrice10 { get; set; }
        public string ProductName11 { get; set; }
        public Nullable<int> ProductPrice11 { get; set; }
        public string ProductName12 { get; set; }
        public Nullable<int> ProductPrice12 { get; set; }
        public string ProductName13 { get; set; }
        public Nullable<int> ProductPrice13 { get; set; }
        public string ProductName14 { get; set; }
        public Nullable<int> ProductPrice14 { get; set; }
        public string ProductName15 { get; set; }
        public Nullable<int> ProductPrice15 { get; set; }
        public string ProductName16 { get; set; }
        public Nullable<int> ProductPrice16 { get; set; }
        public string ProductName17 { get; set; }
        public Nullable<int> ProductPrice17 { get; set; }
        public string ProductName18 { get; set; }
        public Nullable<int> ProductPrice18 { get; set; }
        public string ProductName19 { get; set; }
        public Nullable<int> ProductPrice19 { get; set; }
        public string ProductName20 { get; set; }
        public Nullable<int> ProductPrice20 { get; set; }
        public Nullable<System.DateTime> InsStampDate { get; set; }
        public string InsStampId { get; set; }
    }
}
